#pragma once

#include "reckoner.h"
#include "line_tracker.h"

void waitForSignalToStart();
void findLineAndCalibrate(); void loadCalibrationAndFindLine();  // two alternatives
void turnRightToFindLine();
void followLineToEnd();
void driveHomeAlmost();
void finalSettleIn();

void updateReckonerFromEncoders();
float determinant();
float dotProduct();
bool calibrationLooksGood();

extern Reckoner reckoner;
extern LineTracker lineTracker;
